from setuptools import setup, find_packages
import setuptools
setup(
    name = "QGL",
    version = "8",
    packages = find_packages(),
    description='A simple 2D scenegraph with an OpenGL render engine.',
    author='Simon Wittber',
    author_email='simonwittber@gmail.com',
    license='BSD',
    platforms=['Any'],
    url="http://code.google.com/p/qgl/",
    long_description="""
QGL
===

QGL is an intentionaly minimal scenegraph for OpenGL.

Wikipedia has a good description of what a scene graph is, and how it can be used. http://en.wikipedia.org/wiki/Scene_graph

QGL provides Transforms, Groups, Viewport and Switch. It also provides Texture, Color, Light, Fog, Quad, Text, Sphere and Mesh leaves.

To get started with QGL, you will need Pygame and PyOpenGL installed. In the demos folder, there are several howto.py files. Start with 
howto_display_an_image.py.

New Features in this release:
=============================
 * GLSL Shader support
 * Material support
 * Mesh texturing bugfix
 * Obj viewer tool
 * Display List (Static) Node

""" 
)

